Bug 168209 - CAN-2005-2876 umount unsafe -r usage
Summary: CAN-2005-2876 umount unsafe -r usage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,public=20050913,sourc...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-13 15:26 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-782
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 15:48:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:782 normal SHIPPED_LIVE Moderate: util-linux and mount security update 2005-10-11 04:00:00 UTC

Description Josh Bressers 2005-09-13 15:26:32 UTC
+++ This bug was initially created as a clone of Bug #168206 +++

This issue was reported to bugtraq here:
http://marc.theaimsgroup.com/?l=bugtraq&m=112656096125857&w=2

The issue is that if a non root user is able to run umount -r, it is possible to
subvert the restrictions placed on a filesystem such as nosuid.

Comment 1 Josh Bressers 2005-09-13 15:27:37 UTC
This issue also affects RHEL2.1

Comment 7 Red Hat Bugzilla 2005-10-11 15:48:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-782.html



Note You need to log in before you can comment on or make changes to this bug.